# [Lab 12. Основные принципы объектно-ориентированного программирования](https://github.com/kolei/OAP/blob/master/articles/t6_oop1.md)
### Тема "Гостиничный бизнес"

**Класс для сотрудников**
```
public class Employee 
{
    public string Name { get; set; }
    public int Age { get; set; }
    public string Position { get; set; }
    public decimal Salary { get; set; }
}
```
**Класс для клиентов**
```
public class Customer
{
    public string Name { get; set; }
    public string PhoneNumber { get; set; }
    public string Email { get; set; }
    public int StayDurationInDays { get; set; }
}
```
**Класс для расчёта номеров**
```
public class Room
{
    public int RoomNumber { get; set; }
    public decimal PricePerNight { get; set; }
    public bool IsBooked { get; set; }
}
```
**Класс для стандартных номеров**
```
public class StandardRoom : Room
{
    public int NumberOfBeds { get; set; }
}
```
**Класс для премиум номеров**
```
public class LuxuryRoom : Room
{
    public string AdditionalAmenities { get; set; }
}
```
**Класс для ресторана**
```
public class Restaurant
{
    public string Name { get; set; }
    public List<MenuItem> Menu { get; set; }
    public void AddMenuItem(MenuItem item) { }
}
```
**Класс для меню ресторана**
```
public class MenuItem
{
    public string Name { get; set; }
    public string Description { get; set; }
    public decimal Price { get; set; }
}
```