# [Lab 14. Библиотеки классов](https://github.com/kolei/OAP/blob/master/articles/t7_dll.md)
### Тема "Гостиничный бизнес"

**Program.cs**
```
using ClassLibrary1;
using System;

class Program
{
    static void Main(string[] args)
    {
        Place place1 = new Place("Дешевый номер", 999);
        Place place2 = new Place("Обычный номер", 5000);
        Place place3 = new Place("Дорогой номер", 20000);
        Place place4 = new Place("Номер люкс", 100000);
        Place place5 = new Place("Апартаменты", 500000);

        Workers worker1 = new Workers("Максим");
        Workers worker2 = new Workers("Дмитрий");
        Workers worker3 = new Workers("Милана");
        Workers worker4 = new Workers("Георгий");

        List<Place> places = new List<Place> { place1, place3 };

        worker1.Order(places);
    }
}
```
**Peron.cs**
```
namespace ClassLibrary1;
 
public class Place
{
    public string Name { get; set; }
    public int Price { get; set; }

    public Place(string name, int price)
    {
        Name = name;
        Price = price;
    }

    public void Display()
    {
        Console.WriteLine($"{Name} - ${Price}");
    }
}

public class Workers
{
    public string Name { get; set; }

    public Workers(string name)
    {
        Name = name;
    }

    public void Order(List<Place> places)
    {
        Console.WriteLine($"{Name} обслуживает: ");
        foreach (var place in places)
        {
            place.Display();
        }
    }
}
```
```
Вывод
Максим обслуживает: 
Дешевый номер - $999 
Дорогой номер - $20000
```